curl --request GET \
--url https://api.traxy.ai/api/v1/customer/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile": {
"displayName": "<string>",
"headline": "<string>",
"location": "<string>",
"currentCompany": "<string>",
"profileUrl": "<string>"
},
"contact": {
"workEmail": "[email protected]",
"workEmailStatus": "<string>",
"personalEmail": "[email protected]",
"personalEmailStatus": "<string>",
"contactPhone": "<string>",
"contactPhoneStatus": "<string>"
},
"signal": {
"summary": "<string>",
"whyRelevant": "<string>",
"topic": "<string>",
"type": "COMPETITOR",
"strength": "DIRECT",
"sentiment": "NEGATIVE",
"occurredAt": "2023-11-07T05:31:56Z",
"source": {
"name": "<string>",
"title": "<string>",
"url": "<string>"
}
},
"icpMatchPercent": 123,
"intentScore": 123,
"leadTier": "<string>"
}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}List API-visible leads.
curl --request GET \
--url https://api.traxy.ai/api/v1/customer/leads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxy.ai/api/v1/customer/leads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxy.ai/api/v1/customer/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.traxy.ai/api/v1/customer/leads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.traxy.ai/api/v1/customer/leads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.traxy.ai/api/v1/customer/leads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.traxy.ai/api/v1/customer/leads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile": {
"displayName": "<string>",
"headline": "<string>",
"location": "<string>",
"currentCompany": "<string>",
"profileUrl": "<string>"
},
"contact": {
"workEmail": "[email protected]",
"workEmailStatus": "<string>",
"personalEmail": "[email protected]",
"personalEmailStatus": "<string>",
"contactPhone": "<string>",
"contactPhoneStatus": "<string>"
},
"signal": {
"summary": "<string>",
"whyRelevant": "<string>",
"topic": "<string>",
"type": "COMPETITOR",
"strength": "DIRECT",
"sentiment": "NEGATIVE",
"occurredAt": "2023-11-07T05:31:56Z",
"source": {
"name": "<string>",
"title": "<string>",
"url": "<string>"
}
},
"icpMatchPercent": 123,
"intentScore": 123,
"leadTier": "<string>"
}
],
"page": {
"limit": 123,
"nextCursor": "<string>",
"cursor": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"status": 401,
"request_id": "<string>"
}
}Authorizations
API key created from Integrations > API & MCP > API keys. Used for Customer REST and Ordinal Audience Analytics, not MCP OAuth.
Query Parameters
Number of items to return. The default is 50 and the maximum is 100.
1 <= x <= 100Opaque cursor returned in page.nextCursor. Pass it unchanged with the same filters and sort. Incompatible cursors return validation_failed.
256UNQUALIFIED, NURTURE, QUALIFIED, PRIORITY Comma-separated lead tiers. Accepts up to four values.
ACTIVE, CLIENT, BAD_LEAD Comma-separated dispositions. Accepts up to three values. Omitted dispositions default to ACTIVE.
0 <= x <= 1000 <= x <= 100Comma-separated monitored profile IDs. Accepts up to 50 IDs.
LIKE, COMMENT, REPOST, POST_AUTHOR Comma-separated engagement types. Accepts up to 4 values.
Comma-separated owner IDs. Accepts up to 50 IDs.
Inclusive start of the date range.
Inclusive end of the date range.
1 - 160Comma-separated company names. Accepts up to 25 values.
Safe lead origin. agent includes automated Agent and preview discovery; watchlist includes watched-profile and manual workflows.
agent, watchlist, all Was this page helpful?